Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api
Class Text

    java.lang.Object
      |
      +--com.macromedia.generator.api.GenObject
            |
            +--com.macromedia.generator.api.Text

public class Text
extends GenObject

Fields inherited from class com.macromedia.generator.api.GenObject
`peer`

Constructor Summary
`` | `Text()`
`protected` | `Text(int i)`

Method Summary
`protected void` | `finalize()`
`Rect` | `getBounds()`
`void` | `release()`
`void` | `setAlignment(int i)`
`void` | `setCenter(int i, int j)`
`void` | `setColor(Color color)`
`void` | `setFont(Font font)`
`void` | `setIndent(int i)`
`void` | `setLeading(int i)`
`void` | `setLeftMargin(int i)`
`void` | `setLineWidth(int i)`
`void` | `setPosition(int i)`
`void` | `setRgb(int i)`
`void` | `setRightMargin(int i)`
`void` | `setSize(int i)`
`void` | `setSpacing(int i)`
`void` | `setString(java.lang.String s)`

Methods inherited from class com.macromedia.generator.api.GenObject
`getPeer`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Text

    public Text()
         throws GeneratorApiException

### Text

    protected Text(int i)
            throws GeneratorApiException

Method Detail

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### getBounds

    public Rect getBounds()
                   throws GeneratorApiException

### release

    public void release()

  Overrides:
    `release` in class `GenObject`

### setAlignment

    public void setAlignment(int i)
                      throws GeneratorApiException

### setCenter

    public void setCenter(int i,
                          int j)
                   throws GeneratorApiException

### setColor

    public void setColor(Color color)
                  throws GeneratorApiException

### setFont

    public void setFont(Font font)
                 throws GeneratorApiException

### setIndent

    public void setIndent(int i)
                   throws GeneratorApiException

### setLeading

    public void setLeading(int i)
                    throws GeneratorApiException

### setLeftMargin

    public void setLeftMargin(int i)
                       throws GeneratorApiException

### setLineWidth

    public void setLineWidth(int i)
                      throws GeneratorApiException

### setPosition

    public void setPosition(int i)
                     throws GeneratorApiException

### setRgb

    public void setRgb(int i)
                throws GeneratorApiException

### setRightMargin

    public void setRightMargin(int i)
                        throws GeneratorApiException

### setSize

    public void setSize(int i)
                 throws GeneratorApiException

### setSpacing

    public void setSpacing(int i)
                    throws GeneratorApiException

### setString

    public void setString(java.lang.String s)
                   throws GeneratorApiException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD